jQuery Updater

Beschreibung

Dieses Plugin aktualisiert jQuery deiner Website auf die neueste offizielle stabile Version, die vermutlich nicht bei der neuesten Veröffentlichung von WordPress verfügbar war.
Seit jQuery 2+ in diesem Plugin benutzt wurde, was jQuery 1.x abgelöst hat, ist auch jQuery Migrate enthalten.

Es werden keine Dateien ausgetauscht, daher kehrt die Deaktivierung dieses Plugins zu deinem ursprünglichen Zustand zurück.

Warnung

Falls du dich nicht mit Betatests, Bugfixes, JavaScript oder bleeding edges auskennst, wird es nicht empfohlen.
Ich werde nicht bei Problemen mit JavaScript und jQuery helfen!

Berichte Probleme

Bitte melde Fehlerberichte und fordere Hilfe im WordPress.org Support Foruman. Ich kann nur bei Problemen helfen, die durch das Plugin verursacht werden, nicht aber bei JavaScript-und-jQuery-verwandten-Themen! Bitte melde Feature-Anfragen und Code-Änderungen auf GitHub Issues Seite

Falls irgendwelche Fehler auftreten, wird das Ausschalten dieses Plugins alles vollständig deaktivieren.

Entwicklung im Gange

  • Optionen-Bildschirm zum De-/Aktivieren
  • Option, eine bestimmte jQuery-Version zu wählen
  • Automatisches Leeren des Caches

Für weitere Informationen über die Entwicklung besuche das Plugin-GitHub

Installation

  1. Lade jquery-updater/ in das /wp-content/plugins/-Verzeichnis hoch.
  2. Aktiviere das Plugin mittels des „Plugins“-Menüs in WordPress
  3. Lehn dich zurück und genieße

FAQ

  1. F: Brauche ich dieses Plugin, wenn ich die neueste Version von WordPress auf meiner Website laufen habe?
    A: Nein

  2. F: Dieses Plugin zerstört meine Seite! Wie kann ich das beheben?
    A: Die Verwendung von jQuery Version 2 könnte Ihre Website zerstören. Siehe die Warnung auf der Homepage dieses Plugins.

Rezensionen

Simple & works

Needed something this simple for ages to help pass PCI Compliance scanning without having to do the JQuery updating manually!

Fantastic

Spent several days trying to find out why my slider had stopped working. Found out about this plugin and installed it. Worked immediately!

It works!

Although I had to return to the previous version of jQuery, now I know how to update jQuery quickly and easily.
Lies alle 44 Rezensionen

Mitwirkende & Entwickler

„jQuery Updater“ ist Open-Source-Software. Folgende Menschen haben an diesem Plugin mitgewirkt:

Mitwirkende

„jQuery Updater“ wurde in 4 Sprachen übersetzt. Danke an die Übersetzerinnen und Übersetzer für ihre Mitwirkung.

Übersetze „jQuery Updater“ in deine Sprache.

Interessiert an der Entwicklung?

Durchstöbere den Code, sieh dir das SVN Repository an oder abonniere das Entwicklungsprotokoll per RSS.

Änderungsprotokoll

3.4.1

3.4.0

3.3.1

3.3.0

3.2.1

  • jQuery auf 3.2.1 aktualisiert

3.2.0

  • jQuery auf 3.2.0 aktualisiert
  • Upgrade-Benachrichtigung entfernt

3.1.1

  • jQuery auf 3.1.1 aktualisiert

3.1.0

  • jQuery auf 3.1.0 aktualisiert
  • Minimale unterstützte WordPress-Version auf 4.2 (von vorher 4.0) aktualisiert
  • Validiert und getestet mit WordPress Version 4.6

3.0.0

2.2.4

  • jQuery auf 2.2.4 aktualisiert
  • jQuery Migration auf 1.4.1 aktualisiert

2.2.3

2.2.2

2.2.1

2.2.0.1

  • jQuery Migration auf 1.3.1 aktualisiert
  • Unbenutzte Dateien entfernt

2.2.0

2.1.4

  • jQuery auf 2.1.4 aktualisiert
  • Readme aktualisiert

2.1.3

  • jQuery auf 2.1.3 aktualisiert
  • Ein Fehler, wojQuery Migrate nicht ordnungsgemäß geladen wurde, behoben
  • Minimale WordPress Version auf 3.9 aktualisiert
  • Einige Unit-Test-Scripts entfernt

2.1.1

  • jQuery auf 2.1.1 aktualisiert

2.1.0

  • jQuery auf 2.1.0 aktualisiert

2.0.3

  • jQuery auf 2.0.3 aktualisiert
  • jQuery Migration auf 1.2.1 aktualisiert
  • Verbesserte Dokumentation mit FAQ und Screenshots entfernt. (Wer will Screenshots von Javascript sehen?)
  • JQuery 1.x als Fallback hinzugefügt
  • Fallback: Aktualisiert jQuery auf 1.10.2
  • Seit WordPress 3.6 kann dieses Plugin das Dashboard nicht zerstören.

2.0.0.1 / 2.0.0.2

2.0.0

JQuery 2.0 hat die gleiche API wie jQuery 1.9, unterstützt aber nicht den Internet Explorer 6, 7 oder 8. Alle Notizen im jQuery 1.9 Upgrade Guide gelten auch hier. Da IE 6/7/8 noch relativ verbreitet sind, empfehlen wir die Verwendung der Version 1.x, es sei denn, Sie sind sicher, dass keine IE 6/7/8 Benutzer die Seite besuchen.

1.9.1

1.9.0

  • jQuery auf 1.9.0 aktualisiert

1.8.3

  • jQuery auf 1.8.3 aktualisiert
  • Verbessertes Code-Styling und Dokumentation

1.8.2

  • jQuery auf 1.8.2 aktualisiert
  • Ein Fehler im Dashboard wurde behoben
  • Kleine Code Verbesserungen

1.8.1

  • jQuery auf 1.8.1 aktualisiert

1.8.0

1.7.2

  • jQuery auf 1.7.2 aktualisiert
  • Readme korrigiert

1.7.1

  • jQuery auf aktualisiert 1.7.1 releasenotes
  • Kleine Code-Optimierungen
  • Readme aktualisiert

1.7.0

  • jQuery auf 1.7 aktualisiert releasenotes
  • Readme aktualisiert
  • Kleine Code-Optimierungen

1.6.4

1.6.3

  • jQuery auf 1.6.3 aktualisiert

1.6.2.1

  • jQuery auf 1.6.3 rc 1 (minified) aktualisiert

1.6.2

  • jQuery auf 1.6.2 (minified) aktualisiert

1.6.1.1.1

  • Versprechen: weniger Zahlen, wenn 1.6.2 herauskommt
  • Aktualisiert jQuery auf 1.6.2 rc 1 (
  • Warnung Beta-Release

1.6.1.1

  • jQuery.noConflict() hinzugefügt; zur Javascript-Datei zur Kompatibilität

1.6.1

  • jQuery auf 1.6.1 aktualisiert

1.6.0.1

  • JQuery 1.6.1 rc 1 (behebt einen bekannten WP-Bug, bis 3.2 freigegeben wird)

1.6.0

  • Wie 1.1.2, hat aber die gleiche Anzahl wie jQuery

1.1.2

  • JQuery 1.6.0

1.1.1

  • Lädt das Javascript aus dem Plugin-Verzeichnis anstelle von googles Server.

1.1.0

  • JQuery 1.5.2.min zum javascript-Verzeichnis hinzugefügt
  • jQuery UI zu einem separaten Plugin entfernt

1.0.1

  • jQuery UI auf 1.8.12 (auf Googles CDN) aktualisiert
  • Version 1..0 (sollte 1.0 sein) gefixt

1.0

  • Erste Version, verwendet jQuery 1.5.2 auf Googles CDN